Botan 2.19.5 Crypto and TLS for C&

Namespaces | Functions
bit_ops.h File Reference
`#include <botan/types.h>`

Go to the source code of this file.

## Namespaces
namespace | Botan

## Functions
template<typename T >
T | Botan::bit_permute_step (T x, T mask, size_t shift)
template<typename T >
uint8_t | Botan::ceil_log2 (T x)
template<typename T >
T | Botan::ct_is_zero (T x)
template<typename T >
size_t | Botan::ctz (T n)
template<typename T >
T | Botan::expand_top_bit (T a)
template<typename T >
size_t | Botan::high_bit (T n)
template<typename T >
constexpr bool | Botan::is_power_of_2 (T arg)
template<typename T >
size_t | Botan::significant_bytes (T n)
template<typename T >
void | Botan::swap_bits (T &x, T &y, T mask, size_t shift)
size_t | Botan::var_ctz32 (uint32_t n)